[tool.poetry]
name = "numerical-analysis-note"
version = "0.0.0"
description = ""
authors = []
readme = "README.md"
packages = [{ include = "num_anal_plots" }]

[tool.poetry.dependencies]
python = ">=3.12,<3.13"
click = "^8.1.8"
plotly = "^5.24.1"
pandas = "^2.2.3"
kaleido = "^0.2.1,!=0.2.1.post1"
msgpack = "^1.1.0"
scipy = "^1.15.2"
# Some tools implicitly depends on setuptools.
setuptools = "^75.8.2"

[tool.poetry.group.web.dependencies]
# Sphinx 8.2 causes errors in sphinxcontrib-bibtex.
sphinx = "^8.1.3,<8.2"
sphinxext-opengraph = "^0.9.1"
sphinxcontrib-bibtex = "^2.6.3"
sphinx-orange-book-theme = "^0.15.0"
myst-nb = "^1.2.0"
jupyterlab = "^4.3.5"
ipywidgets = "^8.1.5"
ipython = "^9.0.1"
ipykernel = "^6.29.5"

[tool.poetry.group.dev.dependencies]
black = "^25.1.0"
pre-commit = "^4.1.0"
doc8 = "^1.1.2"
sphinx-autobuild = "^2024.10.3"
isort = "^6.0.1"
pylint = "^3.3.4"
flake8 = "^7.1.2"
mypy = "^1.15.0"
pandas-stubs = "^2.2.3.241126"

[tool.poetry.scripts]
make_pdf_plot = "num_anal_plots.make_pdf_plot:make_pdf_plot"

[tool.isort]
profile = "black"

[tool.pylint]
disable = ["E1120", "C0301", "R0912", "R0801", "R1735"]

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
